Package org.h2gis.functions.io.geojson

## Class ST_GeomFromGeoJSON

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.io.geojson.ST_GeomFromGeoJSON

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_GeomFromGeoJSON
    extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_GeomFromGeoJSON()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `geomFromGeoJSON​(String geojson)` Convert a geojson geometry to geometry.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_GeomFromGeoJSON

    public ST_GeomFromGeoJSON()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### geomFromGeoJSON

    public static org.locationtech.jts.geom.Geometry geomFromGeoJSON​(String geojson)
                                                              throws IOException,
                                                                     SQLException

Convert a geojson geometry to geometry.

Parameters:
  `geojson` -
Returns:
Throws:
  `IOException`
  `SQLException`